<?php

// Version: 2.0 RC4; BoardIndex



function template_main()

{

	global $context, $settings, $options, $txt, $scripturl, $modSettings;



	// Show some statistics next to the link tree if SP1 info is off.

	echo '

	<table width="100%" cellpadding="0" cellspacing="0">

			<tr>

		

			<td align="right">';

	

		echo '

				', $txt['members'], ': ', $context['common_stats']['total_members'], ' &nbsp;&#8226;&nbsp; ', $txt['posts_made'], ': ', $context['common_stats']['total_posts'], ' &nbsp;&#8226;&nbsp; ', $txt['topics'], ': ', $context['common_stats']['total_topics'], '

				', ($settings['show_latest_member'] ? '<br />' . $txt['welcome_member'] . ' <b>' . $context['common_stats']['latest_member']['link'] . '</b>' . $txt['newest_member'] : '');

	echo '

			</td>

		</tr>

	</table>';



	// Show the news fader?  (assuming there are things to show...)

	if ($settings['show_newsfader'] && !empty($context['fader_news_lines']))

	{

		echo '

	<div id="newsfader">

		<div class="cat_bar">

			<h3 class="catbg">

				<img id="newsupshrink" src="', $settings['images_url'], '/collapse.gif" alt="*" title="', $txt['upshrink_description'], '" align="bottom" style="display: none;" />

				', $txt['news'], '

			</h3>

		</div>

		<ul class="reset" id="smfFadeScroller"', empty($options['collapse_news_fader']) ? '' : ' style="display: none;"', '>';



			foreach ($context['news_lines'] as $news)

				echo '

			<li>', $news, '</li>';



	echo '

		</ul>

	</div>

	<script type="text/javascript" src="', $settings['default_theme_url'], '/scripts/fader.js"></script>

	<script type="text/javascript"><!-- // --><![CDATA[



		/// Create a news fader object.

		var oNewsFader = new smf_NewsFader({

			sSelf: \'oNewsFader\',

			sFaderControlId: \'smfFadeScroller\',

			sItemTemplate: ', JavaScriptEscape('<strong>%1$s</strong>'), ',

			iFadeDelay: ', empty($settings['newsfader_time']) ? 5000 : $settings['newsfader_time'], '

		});



		// Create the news fader toggle.

		var smfNewsFadeToggle = new smc_Toggle({

			bToggleEnabled: true,

			bCurrentlyCollapsed: ', empty($options['collapse_news_fader']) ? 'false' : 'true', ',

			aSwappableContainers: [

				\'smfFadeScroller\'

			],

			aSwapImages: [

				{

					sId: \'newsupshrink\',

					srcExpanded: smf_images_url + \'/collapse.gif\',

					altExpanded: ', JavaScriptEscape($txt['upshrink_description']), ',

					srcCollapsed: smf_images_url + \'/expand.gif\',

					altCollapsed: ', JavaScriptEscape($txt['upshrink_description']), '

				}

			],

			oThemeOptions: {

				bUseThemeSettings: ', $context['user']['is_guest'] ? 'false' : 'true', ',

				sOptionName: \'collapse_news_fader\',

				sSessionVar: ', JavaScriptEscape($context['session_var']), ',

				sSessionId: ', JavaScriptEscape($context['session_id']), '

			},

			oCookieOptions: {

				bUseCookie: ', $context['user']['is_guest'] ? 'true' : 'false', ',

				sCookieName: \'newsupshrink\'

			}

		});

	// ]]></script>



	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[

		// The fading delay (in ms.)

		var smfFadeDelay = ', empty($settings['newsfader_time']) ? 5000 : $settings['newsfader_time'], ';

		// Fade from... what text color? To which background color?

		var smfFadeFrom = {"r": 0, "g": 0, "b": 0}, smfFadeTo = {"r": 255, "g": 255, "b": 255};

		// Surround each item with... anything special?

		var smfFadeBefore = "<b>", smfFadeAfter = "</b>";



		var foreColor, foreEl, backEl, backColor;



		if (typeof(document.getElementById(\'smfFadeScroller\').currentStyle) != "undefined")

		{

			foreColor = document.getElementById(\'smfFadeScroller\').currentStyle.color.match(/#([\da-f][\da-f])([\da-f][\da-f])([\da-f][\da-f])/);

			smfFadeFrom = {"r": parseInt(foreColor[1]), "g": parseInt(foreColor[2]), "b": parseInt(foreColor[3])};



			backEl = document.getElementById(\'smfFadeScroller\');

			while (backEl.currentStyle.backgroundColor == "transparent" && typeof(backEl.parentNode) != "undefined")

				backEl = backEl.parentNode;



			backColor = backEl.currentStyle.backgroundColor.match(/#([\da-f][\da-f])([\da-f][\da-f])([\da-f][\da-f])/);

			smfFadeTo = {"r": eval("0x" + backColor[1]), "g": eval("0x" + backColor[2]), "b": eval("0x" + backColor[3])};

		}

		else if (typeof(window.opera) == "undefined" && typeof(document.defaultView) != "undefined")

		{



			foreEl = document.getElementById(\'smfFadeScroller\');



			while (document.defaultView.getComputedStyle(foreEl, null).getPropertyCSSValue("color") == null && typeof(foreEl.parentNode) != "undefined" && typeof(foreEl.parentNode.tagName) != "undefined")

				foreEl = foreEl.parentNode;



			foreColor = document.defaultView.getComputedStyle(foreEl, null).getPropertyValue("color").match(/rgb\((\d+), (\d+), (\d+)\)/);

			smfFadeFrom = {"r": parseInt(foreColor[1]), "g": parseInt(foreColor[2]), "b": parseInt(foreColor[3])};



			backEl = document.getElementById(\'smfFadeScroller\');



			while (document.defaultView.getComputedStyle(backEl, null).getPropertyCSSValue("background-color") == null && typeof(backEl.parentNode) != "undefined" && typeof(backEl.parentNode.tagName) != "undefined")

				backEl = backEl.parentNode;



			backColor = document.defaultView.getComputedStyle(backEl, null).getPropertyValue("background-color");//.match(/rgb\((\d+), (\d+), (\d+)\)/);

			smfFadeTo = {"r": parseInt(backColor[1]), "g": parseInt(backColor[2]), "b": parseInt(backColor[3])};

		}



		// List all the lines of the news for display.

		var smfFadeContent = new Array(

			"', implode('",

			"', $context['fader_news_lines']), '"

		);

	// ]]></script>

	<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/scripts/fader.js"></script>';

	}



/* Each category in categories is made up of:

	id, href, link, name, is_collapsed (is it collapsed?), can_collapse (is it okay if it is?),

	new (is it new?), collapse_href (href to collapse/expand), collapse_image (up/down image),

	and boards. (see below.) */

	foreach ($context['categories'] as $category)

	{

		echo '

	<div class="categoryframe tborder">

		<div class="cat_bar"><h3 class="catbg', $category['new'] ? '2' : '', ' headerpadding">';



		if (!$context['user']['is_guest'])

			echo '

			<a class="floatright" href="', $scripturl, '?action=unread;c=', $category['id'], '">', $txt['view_unread_category'], '</a>';



		// If this category even can collapse, show a link to collapse it.

		if ($category['can_collapse'])

			echo '

			<a href="', $category['collapse_href'], '">', $category['collapse_image'], '</a>&nbsp;';



		echo $category['link'];



		echo '

		</h3></div>';



		// Assuming the category hasn't been collapsed...

      if (!$category['is_collapsed'])

      {

         echo '

      <table border="0" width="100%" cellspacing="1" cellpadding="5" class="bordercolor" style="margin-top: 0px;">

         

         ',

         empty($settings['boardname_posts_lastposts_nodisplay']) ? '<tr>

            <td class="titlebg" width="1" align="center" valign="middle">



            </td>

            <td class="titlebg" valign="middle" align="center" width="43%">

               '. $txt['board_name'].'

            </td>

            <td class="titlebg" valign="middle" align="center" width="23%">

               '. $txt['last_post'].'

            </td>

            

            <td class="titlebg" valign="middle" align="center" width="6%">

               '. $txt['message_lowercase'].'

            </td>

            <td class="titlebg" valign="middle" align="center" width="6%">

               '. $txt['board_topics'].'

            </td>

            <td class="titlebg" valign="middle" align="center" width="10%">

               '. $txt['moderator'].'

            </td>

         </tr>' : ''   ;



			/* Each board in each category's boards has:

			new (is it new?), id, name, description, moderators (see below), link_moderators (just a list.),

			children (see below.), link_children (easier to use.), children_new (are they new?),

			topics (# of), posts (# of), link, href, and last_post. (see below.) */

			foreach ($category['boards'] as $board)

			{

				echo '

			<tr>

				<td class="windowbg" width="40" align="center" valign="middle">

					<a href="', ($board['is_redirect'] || $context['user']['is_guest'] ? $board['href'] : $scripturl . '?action=unread;board=' . $board['id'] . '.0;children'), '">';



				// If the board or children is new, show an indicator.

				if ($board['new'] || $board['children_new'])

					echo '

							<img src="', $settings['images_url'], '/', $context['theme_variant_url'], 'on', $board['new'] ? '' : '2', '.png" alt="', $txt['new_posts'], '" title="', $txt['new_posts'], '" />';

				// Is it a redirection board?

				elseif ($board['is_redirect'])

					echo '

							<img src="', $settings['images_url'], '/', $context['theme_variant_url'], 'redirect.png" alt="*" title="*" />';

				// No new posts at all! The agony!!

				else

					echo '

							<img src="', $settings['images_url'], '/', $context['theme_variant_url'], 'off.png" alt="', $txt['old_posts'], '" title="', $txt['old_posts'], '" />';



				echo '</a>

				</td>

                                <td class="windowbg2" onmouseover="this.className=\'windowbg2\';" align="left">

					<b><a href="', $board['href'], '" name="b', $board['id'], '">', $board['name'], '</a>';

//newmessage

			if ($board['new'])

				echo'

				<a name="b', $board['id'], '"></a>

			<img align="absmiddle" src="', $settings['images_url'], '/newsmfpromesage.gif" border="0" />';



				// Has it outstanding posts for approval?

				if ($board['can_approve_posts'] && ($board['unapproved_posts'] || $board['unapproved_topics']))

					echo '

						<a href="', $scripturl, '?action=moderate;area=postmod;sa=', ($board['unapproved_topics'] > $board['unapproved_posts'] ? 'topics' : 'posts'), ';brd=', $board['id'], ';', $context['session_var'], '=', $context['session_id'], '" title="', sprintf($txt['unapproved_posts'], $board['unapproved_topics'], $board['unapproved_posts']), '" class="moderation_link">(!)</a>';



				echo '

					</b><br />';

				echo '

					<span class="smalltext">';



					if (empty($board['description']))

						echo '';

					else

						echo $board['description'], '<br />';

				echo '

					</span>';



				// Show the "Child Boards: ". (there's a link_children but we're going to bold the new ones...)

				if (!empty($board['children']))

				{

					// Sort the links into an array with new boards bold so it can be imploded.

					$children = array();

					/* Each child in each board's children has:

							id, name, description, new (is it new?), topics (#), posts (#), href, link, and last_post. */

					foreach ($board['children'] as $child)

					{

						$child['link'] = '<a href="' . $child['href'] . '" title="' . ($child['new'] ? $txt['new_posts'] : $txt['old_posts']) . ' (' . $txt['board_topics'] . ': ' . $child['topics'] . ', ' . $txt['posts'] . ': ' . $child['posts'] . ')">' . $child['name'] . '</a><span class="altsayi">'  . ' (' . $child['topics'] . '/' . $child['posts'] . ')</span>';

							$children[] = $child['new'] ? '<img style="margin-right:5px;" src="' . $settings['images_url'] . '/subon.gif" width="12" height="12" alt="' . $txt['new_posts'] . '"/><b>' . $child['link'] . '</b>' : '<img style="margin-right:5px;" src="' . $settings['images_url'] . '/suboff.gif" width="12" height="12" alt="' . $txt['old_posts'] . '"/>' . $child['link'];							

					}



					echo '   
                                     <table style="float:right; padding-left:10px;" width="100%" cellspacing="0" cellpadding="3" border="0"> 
                                         <tr>';  
                                         $child_counter = 0;  
                                         if(empty($settings['child_boards_rows']))   
                                         {          
                                          echo '     
                                          <td style="width:50%" class="smalltext" valign="top">';   
                                               for(; $child_counter < ceil(count($children)/2); $child_counter++)  
                                          echo $children[$child_counter], '<br />';  
                      
                        } 
                              echo ' 
                                          </td>
                                          <td style="width:50%" class="smalltext" valign="top">'; 
                                          for(; $child_counter < count($children); $child_counter++) 
                                          echo $children[$child_counter], '<br />';  
                              echo '       
                                          </td>      
                                         </tr>       
                                       </table>';  
                        } 

					echo '

				</td>

				<td class="windowbg" width="29%">';

				



					echo '

				

                        

						<a href="', $scripturl, '?action=recent"><img src="', $settings['images_url'], '/post/', $board['last_post'], '/xxl.gif" alt="', $txt['recent_posts'], '" /></a>

                        <strong><span class="smalltext">', $txt['last_post'], '</span></strong>

						<span class="smalltext">', $board['last_post']['link'], '</span><br />

	                    ', $txt['by'], ' <img src="', $settings['images_url'], '/icons/kisi.gif" alt=""/> ', $board['last_post']['member']['link'] , '<br />

                        <div style="float: right">

                        <img align="left" src="', $settings['images_url'], '/icons/saatpro.gif" alt="" />

                        ', $txt['on'], ' ', $board['last_post']['time'], '<br />						

                        <a href="', $board['last_post']['href'], '"><img alt="', $txt['recent_view'], '" src="', $settings['images_url'], '/newmark.gif" align="right" hspace="3" border="0" /></a></div>' ;



                     echo '

				</td>

				<td class="windowbg" valign="middle" align="center" style="width: 9ex;">

					', $board['posts'], '<br /><span class="smalltext">', $txt['posts'], '</span>

				<br /><a href="', $scripturl, '?action=.xml;sa=recent;board=', $board['id'], ';limit=10;type=rss2"><img alt="" src="', $settings['images_url'], '/rss.gif" /></a>

              </td>

				<td class="windowbg" valign="middle" align="center" style="width: 9ex;">

					', $board['topics'],'<br /><span class="smalltext">', $txt['board_topics'], '</span>

			<br /><a href="?action=.xml;sa=recent;board=', $board['id'], ';limit=10"><img alt="" src="', $settings['images_url'], '/rss_feedmailer.gif" /></a>

	           </td>

				<td class="windowbg" valign="middle" align="center" style="width: 10ex;">';

				if (!empty($board['moderators']))

					echo '

					<div class="smalltext"><i>', count($board['moderators']) == 1 ? $txt['moderator'] : $txt['moderators'], ': ', implode(', ', $board['link_moderators']), '</i></div>';

				else

					echo '';

				echo '

				</td>

			</tr>';

			}

			echo '

		</table>';

		}

		echo '

	</div>';

}

	if ($context['user']['is_logged'])

	{

		echo '

<div class="cat_bar">

			<h3 class="catbg"><div id="posting_icons" class="align_left">';



		// Mark read button.

		$mark_read_button = array(

			'markread' => array('text' => 'mark_as_read', 'image' => 'markread.gif', 'lang' => true, 'url' => $scripturl . '?action=markasread;sa=all;' . $context['session_var'] . '=' . $context['session_id']),

		);



		echo '

		

			<li class="align_left"><img src="', $settings['images_url'], '/', $context['theme_variant'], '/new_some.png" alt="" /> ', $txt['new_posts'], '</li>

			<li class="align_left"><img src="', $settings['images_url'], '/', $context['theme_variant'], '/new_none.png" alt="" /> ', $txt['old_posts'], '</li>

			<li class="align_left"><img src="', $settings['images_url'], '/', $context['theme_variant'], '/new_redirect.png" alt="" /> ', $txt['redirect_board'], '</li>

		

	</div>';



		// Show the mark all as read button?

		if ($settings['show_mark_read'] && !empty($context['categories']))

			echo '<div class="mark_read">', template_button_strip($mark_read_button, 'right'), '</div></h3></div>';

	}

	else

	{

		echo '

<div class="titlebg"><div class="titlebg">

         <div id="posting_icons" class="flow_hidden">

	<ul class="reset">

		<li class="align_left"><img src="', $settings['images_url'], '/new_none.png" alt="" /> ', $txt['old_posts'], '</li>

			<li class="align_left"><img src="', $settings['images_url'], '/new_redirect.png" alt="" /> ', $txt['redirect_board'], '</li>

			</ul></div></div></div>';

	}

	template_info_center();

}



function template_info_center()

{

	global $context, $settings, $options, $txt, $scripturl, $modSettings;

// smfpro



echo '

			<h4 class="catbg"><span class="left"></span>

				<a href="http://www.korsanturk.com"><img class="icon" src="', $settings['images_url'], '/icons/info.gif" alt="', $txt['recent_posts'], '" /></a>

				<span>', $txt['recent_posts'], '</span>

			</h4>

	

<table class="tborder" cellpadding="5" cellspacing="1" width="100%" align="center"> 

        <tr>

		<th class="titlebg" align="left" width="30%">', $txt['board_name'], '</th>

		<th class="titlebg" align="left" width="30%">', $txt['recent_posts'], '</th>

		<th class="titlebg" align="left" width="17%">', $txt['by'], '</th>

        <th class="titlebg" align="left" width="23%">', $txt['date'], '</th></tr>

	



';

if (!empty($context['latest_posts']))

foreach ($context['latest_posts'] as $post)

echo '

<tr><td class="windowbg2" valign="top" width="30%"><img alt="" src="', $settings['images_url'], '/smfpro1.gif" /><span class="smalltext">', $post['board']['link'],  '</span></td>

<td class="windowbg2" valign="top" width="30%"><img alt="" src="', $settings['images_url'], '/smfpro2.gif" /><span class="smalltext"><a href="',$post['href'],'">', $post['short_subject'], '</a></span></td>

<td class="windowbg2" valign="top" width="17%"><img alt="" src="', $settings['images_url'], '/smfpro3.gif" /><span class="smalltext">', $post['poster']['link'],'</span></td>

<td class="windowbg2" valign="top" width="23%"><img alt="" src="', $settings['images_url'], '/smfpro4.gif" /><span class="smalltext">', $post['time'], '</span></td></tr>';

echo '</table>

'; 

// Here's where the "Info Center" starts...

	echo '

	<span class="clear upperframe"><span></span></span>

	<div class="roundframe"><div class="innerframe">

		<div class="cat_bar">

			<h3 class="catbg">

				<img class="icon" id="upshrink_ic" src="', $settings['images_url'], '/collapse.gif" alt="*" title="', $txt['upshrink_description'], '" style="display: none;" />

				', sprintf($txt['info_center_title'], $context['forum_name_html_safe']), '

			</h3>

		</div>

		<div id="upshrinkHeaderIC"', empty($options['collapse_header_ic']) ? '' : ' style="display: none;"', '>';



	// Show information about events, birthdays, and holidays on the calendar.

	if ($context['show_calendar'])

	{

		echo '

			<div class="title_barIC">

				<h4 class="titlebg">

					<span class="ie6_header floatleft">

						<a href="', $scripturl, '?action=calendar' . '"><img class="icon" src="', $settings['images_url'], '/icons/calendar.gif', '" alt="', $context['calendar_only_today'] ? $txt['calendar_today'] : $txt['calendar_upcoming'], '" /></a>

						', $context['calendar_only_today'] ? $txt['calendar_today'] : $txt['calendar_upcoming'], '

					</span>

				</h4>

			</div>

			<p class="smalltext">';



		// Holidays like "Christmas", "Chanukah", and "We Love [Unknown] Day" :P.

		if (!empty($context['calendar_holidays']))

				echo '

				<span class="holiday">', $txt['calendar_prompt'], ' ', implode(', ', $context['calendar_holidays']), '</span><br />';



		// People's birthdays. Like mine. And yours, I guess. Kidding.

		if (!empty($context['calendar_birthdays']))

		{

				echo '

				<span class="birthday">', $context['calendar_only_today'] ? $txt['birthdays'] : $txt['birthdays_upcoming'], '</span> ';

		/* Each member in calendar_birthdays has:

				id, name (person), age (if they have one set?), is_last. (last in list?), and is_today (birthday is today?) */

		foreach ($context['calendar_birthdays'] as $member)

				echo '

				<a href="', $scripturl, '?action=profile;u=', $member['id'], '">', $member['is_today'] ? '<strong>' : '', $member['name'], $member['is_today'] ? '</strong>' : '', isset($member['age']) ? ' (' . $member['age'] . ')' : '', '</a>', $member['is_last'] ? '<br />' : ', ';

		}

		// Events like community get-togethers.

		if (!empty($context['calendar_events']))

		{

			echo '

				<span class="event">', $context['calendar_only_today'] ? $txt['events'] : $txt['events_upcoming'], '</span> ';

			/* Each event in calendar_events should have:

					title, href, is_last, can_edit (are they allowed?), modify_href, and is_today. */

			foreach ($context['calendar_events'] as $event)

				echo '

					', $event['can_edit'] ? '<a href="' . $event['modify_href'] . '" title="' . $txt['calendar_edit'] . '"><img src="' . $settings['images_url'] . '/icons/modify_small.gif" alt="*" /></a> ' : '', $event['href'] == '' ? '' : '<a href="' . $event['href'] . '">', $event['is_today'] ? '<strong>' . $event['title'] . '</strong>' : $event['title'], $event['href'] == '' ? '' : '</a>', $event['is_last'] ? '<br />' : ', ';

		}

		echo '

			</p>';

	}



// Show a member bar.  Not heavily ornate, but functional at least.

	if ($settings['show_member_bar'])

	{

	echo '

			<div class="title_barIC">

				<h4 class="titlebg">

					<span class="ie6_header floatleft">

						<a href="', $scripturl, '?action=stats"><img class="icon" src="', $settings['images_url'], '/icons/smfpromembers.gif" alt="', $txt['members_list'], '" /></a>

						', $txt['members'], '					</span>

				</h4>

			</div>

			<p class="inline stats">

				', $context['show_member_list'] ? '<a href="' . $scripturl . '?action=mlist">' : '', '<img src="', $settings['images_url'], '/icons/members.gif" alt="', $txt['members_list'], '" border="0" />', $context['show_member_list'] ? '</a>' : '', '

<b>', $context['show_member_list'] ? '<a href="' . $scripturl . '?action=mlist">' . $txt['members_list'] . '</a>' : $txt['members_list'], '</b>

<div class="smalltext">', $txt['memberlist_searchable'], '</div>

';

}



	// Show statistical style information...

	if ($settings['show_stats_index'])

	{

		echo '

			<div class="title_barIC">

				<h4 class="titlebg">

					<span class="ie6_header floatleft">

						<a href="', $scripturl, '?action=stats"><img class="icon" src="', $settings['images_url'], '/icons/info.gif" alt="', $txt['forum_stats'], '" /></a>

						', $txt['forum_stats'], '

					</span>

				</h4>

			</div>

			<p>

				', $context['common_stats']['total_posts'], ' ', $txt['posts_made'], ' ', $txt['in'], ' ', $context['common_stats']['total_topics'], ' ', $txt['topics'], ' ', $txt['by'], ' ', $context['common_stats']['total_members'], ' ', $txt['members'], '. ', !empty($settings['show_latest_member']) ? $txt['latest_member'] . ': <strong> ' . $context['common_stats']['latest_member']['link'] . '</strong>' : '', '<br />

				', (!empty($context['latest_post']) ? $txt['latest_post'] . ': <strong>&quot;' . $context['latest_post']['link'] . '&quot;</strong>  ( ' . $context['latest_post']['time'] . ' )<br />' : ''), '

				<a href="', $scripturl, '?action=recent">', $txt['recent_view'], '</a>', $context['show_stats'] ? '<br />

				<a href="' . $scripturl . '?action=stats">' . $txt['more_stats'] . '</a>' : '', '

			</p>';

	}



	// "Users online" - in order of activity.

	echo '

			<div class="title_barIC">

				<h4 class="titlebg">

					<span class="ie6_header floatleft">

						', $context['show_who'] ? '<a href="' . $scripturl . '?action=who' . '">' : '', '<img class="icon" src="', $settings['images_url'], '/icons/online.gif', '" alt="', $txt['online_users'], '" />', $context['show_who'] ? '</a>' : '', '

						', $txt['online_users'], '

					</span>

				</h4>

			</div>

			<p class="inline stats">

				', $context['show_who'] ? '<a href="' . $scripturl . '?action=who">' : '', comma_format($context['num_guests']), ' ', $context['num_guests'] == 1 ? $txt['guest'] : $txt['guests'], ', ' . comma_format($context['num_users_online']), ' ', $context['num_users_online'] == 1 ? $txt['user'] : $txt['users'];



	// Handle hidden users and buddies.

	$bracketList = array();

	if ($context['show_buddies'])

		$bracketList[] = comma_format($context['num_buddies']) . ' ' . ($context['num_buddies'] == 1 ? $txt['buddy'] : $txt['buddies']);

	if (!empty($context['num_spiders']))

		$bracketList[] = comma_format($context['num_spiders']) . ' ' . ($context['num_spiders'] == 1 ? $txt['spider'] : $txt['spiders']);

	if (!empty($context['num_users_hidden']))

		$bracketList[] = comma_format($context['num_users_hidden']) . ' ' . $txt['hidden'];



	if (!empty($bracketList))

		echo ' (' . implode(', ', $bracketList) . ')';



	echo $context['show_who'] ? '</a>' : '', '

			</p>

			<p class="inline smalltext">';



	// Assuming there ARE users online... each user in users_online has an id, username, name, group, href, and link.

	if (!empty($context['users_online']))

	{

		echo '

				', sprintf($txt['users_active'], $modSettings['lastActive']), ':<br />', implode(', ', $context['list_users_online']);



		// Showing membergroups?

		if (!empty($settings['show_group_key']) && !empty($context['membergroups']))

			echo '

				<br />[' . implode(']&nbsp;&nbsp;[', $context['membergroups']) . ']';

	}



	echo '

			</p>

			<p class="last smalltext">

				', $txt['most_online_today'], ': <strong>', comma_format($modSettings['mostOnlineToday']), '</strong>.

				', $txt['most_online_ever'], ': ', comma_format($modSettings['mostOnline']), ' (', timeformat($modSettings['mostDate']), ')

			</p>';



	// If they are logged in, but statistical information is off... show a personal message bar.

	if ($context['user']['is_logged'] && !$settings['show_stats_index'])

	{

		echo '

			<div class="title_barIC">

				<h4 class="titlebg">

					<span class="ie6_header floatleft">

						', $context['allow_pm'] ? '<a href="' . $scripturl . '?action=pm">' : '', '<img class="icon" src="', $settings['images_url'], '/message_sm.gif" alt="', $txt['personal_message'], '" />', $context['allow_pm'] ? '</a>' : '', '

						<span>', $txt['personal_message'], '</span>

					</span>

				</h4>

			</div>

			<p class="pminfo">

				<strong><a href="', $scripturl, '?action=pm">', $txt['personal_message'], '</a></strong>

				<span class="smalltext">

					', $txt['you_have'], ' ', comma_format($context['user']['messages']), ' ', $context['user']['messages'] == 1 ? $txt['message_lowercase'] : $txt['msg_alert_messages'], '.... ', $txt['click'], ' <a href="', $scripturl, '?action=pm">', $txt['here'], '</a> ', $txt['to_view'], '

				</span>

			</p>';

	}



	echo '

		</div>

	</div></div>

	<span class="lowerframe"><span></span></span>';



	// Info center collapse object.

	echo '

	<script type="text/javascript"><!-- // --><![CDATA[

		var oInfoCenterToggle = new smc_Toggle({

			bToggleEnabled: true,

			bCurrentlyCollapsed: ', empty($options['collapse_header_ic']) ? 'false' : 'true', ',

			aSwappableContainers: [

				\'upshrinkHeaderIC\'

			],

			aSwapImages: [

				{

					sId: \'upshrink_ic\',

					srcExpanded: smf_images_url + \'/collapse.gif\',

					altExpanded: ', JavaScriptEscape($txt['upshrink_description']), ',

					srcCollapsed: smf_images_url + \'/expand.gif\',

					altCollapsed: ', JavaScriptEscape($txt['upshrink_description']), '

				}

			],

			oThemeOptions: {

				bUseThemeSettings: ', $context['user']['is_guest'] ? 'false' : 'true', ',

				sOptionName: \'collapse_header_ic\',

				sSessionVar: ', JavaScriptEscape($context['session_var']), ',

				sSessionId: ', JavaScriptEscape($context['session_id']), '

			},

			oCookieOptions: {

				bUseCookie: ', $context['user']['is_guest'] ? 'true' : 'false', ',

				sCookieName: \'upshrinkIC\'

			}

		});

	// ]]></script>';

}

?>